/*
 * Copyright (C) 2018 Wproject - Aitzol Berasategi
 *
 * This file is part of MacBank
 *
 * MacBank is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * MacBank is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.4
import Ubuntu.Components 1.3

Button {
    id:control
    //text: "Search"
    iconName:"search"
    color: "#1976D2"
    scale: density <= 10 ? 1 : 1.2
    onClicked: {
      var val=""
      for(var i=0;i<chars;i++){
        switch(i) {
            case 0:
                var index = char1.charVal
                break;
            case 1:
                var index = char2.charVal
                break;
            case 2:
                var index = char3.charVal
                break;
            case 3:
                var index = char4.charVal
                break;
            case 4:
                var index = char5.charVal
                break;
            case 5:
                var index = char6.charVal
                break;
            case 6:
                var index = char7.charVal
                break;
            case 7:
                var index = char8.charVal
                break;
            case 8:
                var index = char9.charVal
                break;
            case 9:
                var index = char10.charVal
                break;
            case 10:
                var index = char11.charVal
                break;
            case 11:
                var index = char12.charVal
                break;
        }
        val = val + elements[index]

      }

      python.call("app.main.on_search_clicked",[val, settings.mode], function(result){

          if(settings.show === 0){

              //oldest first
              settings.history.push(result); //push to history
              macList.macModel.append(result) //append to ListView model
              macList.listview.currentIndex = settings.history.length-1

          }else if(settings.show === 1){

              //newest first
              settings.history.unshift(result) //push at the beginning of the history
              macList.macModel.insert(0,result) //insert result at the beginning of the list
              if(settings.history.length > 1){
                  macList.listview.currentIndex = 1
                  delay(1000, function() {
                      macList.listview.currentIndex = 0
                  })
              }else{
                macList.listview.currentIndex = 0
              }

          }

          notEmpty = true

      });

    }
}
