/*
 * Copyright (C) 2018 Wproject - Aitzol Berasategi
 *
 * This file is part of MacBank
 *
 * MacBank is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * MacBank is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.4

Row{
    id:dots
    spacing:14
    Rectangle {
         id: dot1
         width: units.gu(2)
         height: width
         color: dotColor[0]
         border.color: "white"
         border.width: 1
         radius: width*0.5
    }

    Rectangle {
         id: dot2
         width: units.gu(2)
         height: width
         color: dotColor[1]
         border.color: "white"
         border.width: 1
         radius: width*0.5
    }

    Rectangle {
         id:dot3
         width: units.gu(2)
         height: width
         color: dotColor[2]
         border.color: "white"
         border.width: 1
         radius: width*0.5
    }

    Rectangle {
         id:dot4
         width: units.gu(2)
         height: width
         color: dotColor[3]
         border.color: "white"
         border.width: 1
         radius: width*0.5
    }
}
